import { BrowserRouter as Router, Route, Routes } from "react-router-dom"
import Main from "./pages/Main"
import Users from "./pages/Users"
import Roles from "./pages/Roles"
import NotFound from "./pages/NotFound"
import DashboardLayout from "./layouts/DashboardLayout"
import MainLayout from "./layouts/MainLayout"
import SignIn from "./pages/auth/SignIn"
import ApiTest from "./pages/ApiTest"

function App() {
  return (
    <>
      <Router>
        <Routes>
          <Route element={<MainLayout/>}>
            <Route path="/auth/signin" element={<SignIn/>}/>
          </Route>

          <Route element={<DashboardLayout />}>
            <Route path="/" element={<Main />} />
            <Route path="/user" element={<Users />} />
            <Route path="/role" element={<Roles />} />
            <Route path="/api-test" element={<ApiTest />} />
            <Route path="*" element={<NotFound />} />
          </Route>
        </Routes>
      </Router>
    </>
  )
}

export default App