import Card from '../components/Card'
import useDataFetching from '../components/FetchingData'
interface ICard {
  firstname: string
  lastname: string
  email: string
}

function Users() {
  const cards = useDataFetching<ICard[]>(`${import.meta.env.VITE_API_URL}/auth/user/`, [])
  return (
    <div>
      {cards.map((card, index) => <Card key={index} {...card} />)}
    </div>
  )
}

export default Users